AnsweredAssumed Answered

Select Arc Centerpoint via ISketchSegment

Question asked by Rob Fleming on Mar 4, 2010
Latest reply on Mar 8, 2010 by Rob Fleming

Hey everyone,

 

I am having problems isolating some of my sketch points.  I want create an arc, and then store the centerpoint of the arc as a SldWorks.SketchPoint.  Does anyone know how to do this?

 

Dim instance as ISketchSegment

instance = ISketchManager.CreateArc(p.cx, p.cy, 0, p.x1, p.y1, 0, p.x2, p.y2, 0, 1)

 

There will be multiple points at (p.cx, p.cy, 0).

The end result is I am trying to Merge all of the points at that x,y location.

 

Thanks

Outcomes